General
cancel
Showing results for 
Search instead for 
Did you mean: 

[Oracle 8.0.5/HP-UX 11.00] master_peer: Execute permission denied

Steven Sim Kok Leong
Honored Contributor

[Oracle 8.0.5/HP-UX 11.00] master_peer: Execute permission denied

Hi,

Both
- $ORACLE_HOME/network/snmp/peer/master_peer
- $ORACLE_HOME/network/snmp/peer/encap_peer
are required by start_peer to launch the snmp daemon.

However, both master_peer and encap_peer are binaries which are not executable in HP-UX 11.00 even when the executable permissions are on and I am executing both of these binaries as root.

I checked through deja.com and apparently there is another who faced the same problem but no solution was posted.

Any solutions? TIA.

Regards.

Steven Sim.
Email: steven@beepz.com. Homepage: https://www.beepz.com
4 REPLIES
CHRIS ANORUO
Honored Contributor

Re: [Oracle 8.0.5/HP-UX 11.00] master_peer: Execute permission denied

Please check that the file owner is oracle and group to be dba with rwx permissions
When We Seek To Discover The Best In Others, We Somehow Bring Out The Best In Ourselves.
Steven Sim Kok Leong
Honored Contributor

Re: [Oracle 8.0.5/HP-UX 11.00] master_peer: Execute permission denied

Hi,

The owner of the executables is: oracle:dba
The permission of the executables is: 755

Regards.

Steven Sim.
Email: steven@beepz.com. Homepage: https://www.beepz.com
Steven Sim Kok Leong
Honored Contributor

Re: [Oracle 8.0.5/HP-UX 11.00] master_peer: Execute permission denied

Hi,

The owner of the executables is: oracle:dba
The permission of the executables is: 755

Regards.

Steven Sim.
Email: steven@beepz.com. Homepage: https://www.beepz.com
Jeremy Dean_3
Occasional Advisor

Re: [Oracle 8.0.5/HP-UX 11.00] master_peer: Execute permission denied

I had a similar problem with Netscape fasttrack server binaries.

In this case the problem was due to incompatible PA-RISC version of the compiled code and the system (hardware). A real error message, "Executable file incompatible with hardware.", was only displayed when attempting to from ksh. sh just said "Execute permission denied."

Note: HP ship different versions of the PA-RISC cpu (processor) as follows
v1.0, 1.1, 1.1x, 2.0
where 1.1x is 1.1e, 1.1a, ...
Check your processor's PA-RISC version using
model
For HP-UX 10.20, grep the model in /usr/lib/sched.models
For HP-UX 11.00, grep the model in
/opt/langtools/lib/sched.models

1. True running the executable from ksh to get better diagnostics
2. Check the required version in the executable using
file /exe_pathname
where filename is the executable pathname

If necessary, re-compile the Oracle system libraries as described in the documentation.
See the cc(1) man page and option +DAarch and getconf(1m) man page's "getconf CPU_VERSION".

Alternatively, obtain *new* versions of the executables from Oracle.
Use the following command to determine the scope of the problem

find $ORACLE_HOME -type f -exec file {} ; | egrep PA-RISC1.1

-----------
See also the attached script which gives detailed system info for HP-UX, Solaris, AIX, DEC UNIX machines.
HP Model: D220 CPU: 1 PA7300-1.1e RAM: 640MB OS: HP-UX B.11.00
---
Note also the following compile/link message
(Warning) At least one PA 2.0 object file (hello.o) was detected. The linked output may not run on a PA 1.x system
.